POST api/prospects/search
Request Information
URI Parameters
None.
Body Parameters
ProspectSearchDto| Name | Description | Type | Additional information |
|---|---|---|---|
| Prospect | CampaignPreviewDto |
None. |
|
| Person | PersonSearchDto |
None. |
|
| Skip | integer |
None. |
|
| Take | integer |
None. |
|
| SortOrder | string |
None. |
|
| IsNotStopped | boolean |
None. |
|
| HasNoFailedTelephone | boolean |
None. |
|
| HasNoFailedEmail | boolean |
None. |
|
| OrFilters | Collection of globally unique identifier |
None. |
|
| Products | Collection of globally unique identifier |
None. |
|
| Campaigns | Collection of globally unique identifier |
None. |
|
| NotReceivedMarketingInDays | integer |
None. |
|
| NotPutOrderInDays | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"prospect": {
"campaignId": "c940cb68-1d7c-4183-984c-f0e5760ff254",
"toPersonIds": [
"dbd3edc0-f27e-4f96-9fcb-47b30e8d283e",
"a124d03c-777c-4970-90b6-0b042523bca3"
],
"isNewPerson": true,
"email": "sample string 2",
"telephone": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"address": "sample string 6",
"postcode": "sample string 7",
"city": "sample string 8",
"productIds": [
"sample string 1",
"sample string 2"
],
"filterIds": [
"6ca1f3da-2753-4947-a98e-7c963f2cd4f3",
"40efc6af-2cef-4989-b64b-f58a03349572"
],
"filterMaxCount": 9,
"filterNoOrderInDays": 10,
"filterNoCampaignInDays": 11,
"filterMustNotBeStopped": true,
"filterOrderOnProducts": [
"007ae800-1ee4-456c-ba51-3579d7fc4aeb",
"a84bd82f-001d-46bb-b447-e49492690f48"
],
"filterOrderOnCampaigns": [
"c3a1f92d-2bac-4861-bdba-10abff373d3c",
"628c0081-9aec-4497-948f-7ef0c629f09b"
],
"destinationType": "sample string 13"
},
"person": {
"name": "sample string 1",
"firstname": "sample string 2",
"lastname": "sample string 3",
"address": "sample string 4",
"postcode": "sample string 5",
"city": "sample string 6",
"country": "sample string 7",
"shortUnique": "sample string 8",
"email": "sample string 9",
"telephone": "sample string 10",
"inCampaign": "sample string 11",
"updatedFrom": "2026-11-07T02:24:22.141859+01:00",
"updatedTo": "2026-11-07T02:24:22.141859+01:00",
"lastBuyFrom": "2026-11-07T02:24:22.141859+01:00",
"lastBuyTo": "2026-11-07T02:24:22.141859+01:00",
"inActiveCampaign": true,
"recentlyBought": true,
"sortBy": "sample string 12",
"esecoCustomerNumber": "sample string 13",
"personalNumber": "sample string 14",
"products": {
"products": [
"6f547548-dd4e-4281-8b43-cba32d2b6381",
"0f477c4f-bdbc-460c-85b2-7ea048973f84"
],
"not": true,
"from": "2026-11-07T02:24:22.141859+01:00",
"to": "2026-11-07T02:24:22.141859+01:00"
},
"campaigns": {
"campaigns": [
"c902905e-9070-46ae-9698-2639574882da",
"012309b4-827c-4d0f-bd0c-37a5973ba821"
],
"not": true,
"from": "2026-11-07T02:24:22.141859+01:00",
"to": "2026-11-07T02:24:22.141859+01:00"
},
"isStop": true,
"isDiseased": true,
"isFailedEmail": true,
"isFailedSms": true,
"searchOnlyPersons": true,
"tag": "sample string 15"
},
"skip": 1,
"take": 2,
"sortOrder": "sample string 3",
"isNotStopped": true,
"hasNoFailedTelephone": true,
"hasNoFailedEmail": true,
"orFilters": [
"f890e34f-0502-46b7-a302-092a86348180",
"93d15052-d5bd-4a1e-bbdd-9de3d0cf02c4"
],
"products": [
"9d495576-fe82-4fcf-a71b-b4bc724e5273",
"d6364e3e-ad5e-47a3-a072-9d5f7841d3b1"
],
"campaigns": [
"354e5e45-2acc-4ac8-beaf-25c1bdb75c2e",
"d82f23a3-1dad-4f4f-ac92-3a291cbe8d9d"
],
"notReceivedMarketingInDays": 7,
"notPutOrderInDays": 8
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.